Bug 462434 (CVE-2008-4302) - CVE-2008-4302 kernel: splice: fix bad unlock_page() in error case
Summary: CVE-2008-4302 kernel: splice: fix bad unlock_page() in error case
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-4302
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 439917 462436
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-16 08:42 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 17:39:05 UTC


Attachments (Terms of Use)
Upstream patch for this issue (1.25 KB, patch)
2008-09-16 08:45 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0957 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-11-12 09:34:44 UTC

Description Eugene Teo (Security Response) 2008-09-16 08:42:47 UTC
Description of problem:
If add_to_page_cache_lru() fails, the page will not be locked. But splice jumps to an error path that does a page release and unlock, causing a BUG() in unlock_page().

Comment 2 Eugene Teo (Security Response) 2008-09-16 08:45:20 UTC
Created attachment 316823 [details]
Upstream patch for this issue

Comment 3 Eugene Teo (Security Response) 2008-09-16 08:45:50 UTC
Reproducer:
https://bugzilla.redhat.com/show_bug.cgi?id=461082#c3

Comment 7 Vincent Danen 2010-12-21 17:39:05 UTC
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:0957)


Note You need to log in before you can comment on or make changes to this bug.